"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExplorerContribution = exports.EXPLORER_CONTAINER_ID = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const container_id_1 = require("@opensumi/ide-core-browser/lib/common/container-id");
Object.defineProperty(exports, "EXPLORER_CONTAINER_ID", { enumerable: true, get: function () { return container_id_1.EXPLORER_CONTAINER_ID; } });
const browserViews_1 = require("@opensumi/ide-core-browser/lib/extensions/schema/browserViews");
const layout_1 = require("@opensumi/ide-core-browser/lib/layout");
const ide_core_common_1 = require("@opensumi/ide-core-common");
let ExplorerContribution = class ExplorerContribution {
    /**
     * register `explorer` component container
     */
    registerComponent(registry) {
        registry.register('@opensumi/ide-explorer', [], {
            iconClass: (0, ide_core_browser_1.getIcon)('explorer'),
            title: (0, ide_core_browser_1.localize)('explorer.title'),
            priority: 10,
            containerId: container_id_1.EXPLORER_CONTAINER_ID,
            activateKeyBinding: 'ctrlcmd+shift+e',
        });
    }
    onStart() {
        this.extensionsSchemaService.appendExtensionPoint(['browserViews', 'properties'], {
            extensionPoint: container_id_1.EXPLORER_CONTAINER_ID,
            frameworkKind: ['opensumi'],
            jsonSchema: Object.assign(Object.assign({}, browserViews_1.browserViews.properties), { description: (0, ide_core_browser_1.formatLocalize)('sumiContributes.browserViews.location.custom', (0, ide_core_browser_1.localize)('explorer.title')) }),
        });
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(ide_core_common_1.IExtensionsSchemaService),
    tslib_1.__metadata("design:type", Object)
], ExplorerContribution.prototype, "extensionsSchemaService", void 0);
ExplorerContribution = tslib_1.__decorate([
    (0, ide_core_browser_1.Domain)(ide_core_browser_1.ClientAppContribution, layout_1.ComponentContribution)
], ExplorerContribution);
exports.ExplorerContribution = ExplorerContribution;
//# sourceMappingURL=explorer-contribution.js.map